Atlas Hidden Coverage Layer option has no effect exporting Atlas as Images

2019-02-12 05:04 PM - Pedro Venâncio

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29061

Description

Using the Hidden Coverage Layer option in Composer Atlas, has no effect when exporting Atlas as Images.

Exporting Atlas as PDF or SVG, the coverage layer is hidden correctly.

The Preview Atlas also works as expected, selecting or deselecting Hidden Coverage Layer option.

So, the problem only occurs exporting Atlas as Images (in any format, jpg, png, tiff, ...).

Tested in Windows.

It works ok in 2.18.28, so it is a regression in QGIS 3 (3.4.4 and master).

Associated revisions

Revision eceaea8c - 2019-02-20 05:50 PM - Nyall Dawson

[layouts] Fix hidden coverage atlas setting is ignored when exporting atlas to images

Fixes #21243

Revision 86b0bd8c - 2019-02-21 12:25 AM - Nyall Dawson

[layouts] Fix hidden coverage atlas setting is ignored when exporting atlas to images

Fixes #21243

(cherry picked from commit eceaea8c355f77b5167e26f0a33652fc11b03e1e)

History

#1 - 2019-02-20 11:48 AM - Nyall Dawson

- Status changed from Open to In Progress

#2 - 2019-02-20 05:49 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|eceaea8c355f77b5167e26f0a33652fc11b03e1e.
